%  --  startup --
startup;
system('ln -s $ISSM_DIR/startup.m .'); startup;
%  --  vim --
!vim configuration.m
!vim runme.m
%  --  tests  --
md=runme('analysis_type',DiagnosticAnalysisEnum);
md=runme('analysis_type',DiagnosticAnalysisEnum,'parallel',1);
runme('analysis_type',[DiagnosticAnalysisEnum]);
%  --  tweak parameters --
md.numberofelements
md.numberofgrids
%  --  model set up  --
md=model;
md=mesh(md,'DomainOutline.exp',5000);
md=geography(md,'','');
md=geography(md,'Iceshelves.exp','Islands.exp');
md=parameterize(md,'Antarctica.par');
md=extrude(md,8,1);
md=setelementstype(md,'pattyn','all','stokes','all');
md=setelementstype(md,'macayeal','all');
%  --  execution --
md=solve(md,'analysis_type',ThermalAnalysisEnum,'batch','yes');
md=solve(md,'analysis_type',ThermalAnalysisEnum);
md=solve(md,'analysis_type',DiagnosticAnalysisEnum,'batch','yes');
md=solve(md,'analysis_type',DiagnosticAnalysisEnum);
md=loadresultsfromcluster(md);
md=tres(md,ThermalAnalysisEnum);
md=tres(md,DiagnosticAnalysisEnum);
%  --  plots  --
plotmodel(md,'data','vel')
plotmodel(md,'data',md.results.diagnostic.vel)
